# Roadmap

**Rotare** is still under active development. As my thesis focuses on analysis
of coaxial propellers and rotors, this will be the top priority during the
following months.

_Note_: The following version numbers are a simple suggestion for the roadmap.
It is very likely that some breaking changes will occur occasionally, forcing a
bump of major version (1.x.x -> 2.x.x).

## v1.0.0 - Single rotor
- [x] Single rotor/propeller
- [x] Varying airfoil
- [x] Custom chord/twist
- [x] Steady/hover
- [x] Axial flow
- [x] Tip/hub losses
- [x] Polar extension to [-180; 180] deg
- [ ] Validation for hovering rotor
- [ ] Validation for propeller in axial flow
- [ ] Documentation: _User manual_

## v1.1.0 - Complete documentation
- [ ] Documentation: _Technical manual_

## v1.2.0 - Extension models
- [ ] Compressibility effects
- [ ] Tip relief
- [ ] Spinner effects

## v1.3.0 - Coaxial in axial flow
- [ ] Stahlhut solver
- [ ] Indvel solver
- [ ] Indfact solver
- [ ] Validation
- [ ] Documentation

## v1.4.0 - Single rotors in oblique flows
- [ ] Stahlhut solver
- [ ] Indvel solver
- [ ] Indfact solver
- [ ] Validation
- [ ] Documentation

## v1.5.0 - Coaxial in oblique flows
- [ ] Vortex model for the wake
- [ ] Stahlhut solver
- [ ] Validation
- [ ] Documentation

## vX.X.X - Wind turbines and autorotation

## vX.X.X - Overlapping rotors
